Subject: Re: Extended Addressing Mode

From: Matt Sealey <[email-masked]>
Date: Wed, 22 Oct 2008 13:11:59 -0500

Kumar Gala wrote:
> 
> On Oct 22, 2008, at 9:19 AM, Matt Sealey wrote:
> 
>>
>>
>> Kumar Gala wrote:
>>> On Oct 22, 2008, at 8:42 AM, Matt Sealey wrote:
>>>> So to confirm, XAEN support through Becky's patches does support the 
>>>> MPC8641D/e600 cores?
>>> Yes, its the only part that has XAEN.
>>
>> Okay I saw a lot of e500/BookE support go past but nothing specific :)
> 
> The "XAEN" is specific to e600.  e500 has its own ability to do 36-bit 
> physical (not called XAEN).

You have to forgive me I was only half awake when I started :D

Yeah so I saw BookE and e500 stuff go past but nothing 
specific for e600/XAEN. I mailed Becky and got no response. 
I'm glad to know it's in there though, somewhere.

Just so it has been asked, do you know in a broad sense what 
it would take to add the non-contiguous memory mapping 
support? Doesn't ppc64 already have this?

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations